#!/usr/bin/env bash
test -n "${CSPP_SDR_HOME}" || echo "CSPP_SDR_HOME is not set. Please set this environment variable to the install location of CSPP software packages. (When installed, \${CSPP_SDR_HOME}/ADL is a directory.)"

# the adl-libexec.py module will assign defaults
# these variables should only be set for custom installations
if [ ! -z "${CSPP_RT_ANC_CACHE_DIR}" ];
then
    echo "Warning overridden default: CSPP_RT_ANC_CACHE_DIR="${CSPP_RT_ANC_CACHE_DIR}
fi

if [ ! -z "${CSPP_RT_ANC_HOME}" ];
then
    echo "Warning overridden default: CSPP_RT_ANC_HOME="${CSPP_RT_ANC_HOME}

fi

if [ ! -z "${CSPP_RT_ANC_HOME}" ];
then
    echo "Warning overridden default: CSPP_RT_ANC_HOME="${CSPP_RT_ANC_HOME}
fi

if [ ! -z "${CSPP_RT_HOME}" ];
then
    echo "Warning overridden default: CSPP_RT_HOME="${CSPP_RT_HOME}
fi

if [ ! -z "${DCONFIG}" ];
then
      echo "Warning overridden default: DCONFIG="${DCONFIG}
fi

if [ ! -z "${JPSS_REMOTE_ANC_DIR}" ];
then
     echo "Warning overridden default: JPSS_REMOTE_ANC_DIR="${JPSS_REMOTE_ANC_DIR}
fi

if [ ! -z "${JPSS_REMOTE_LUT_DIR}" ];
then
     echo "Warning overridden default: JPSS_REMOTE_LUT_DIR="${JPSS_REMOTE_LUT_DIR}
fi


export CSPP_DB_VER=SDR_4_0_DB 
export DPE_VER=CSPP_SDR_4_0_1

# python interpreter including numpy, h5py, pytables, scipy; used by CSPP scripts
export PY=${CSPP_SDR_HOME}/libexec/ShellB3/bin/python3

# libexec modules location used by CSPP scripts

export PYTHONPATH=${CSPP_SDR_HOME}/libexec/ShellB3/bin
export PYTHONPATH=${CSPP_SDR_HOME}/libexec/ShellB3/lib:${PYTHONPATH}
#export LD_LIBRARY_PATH=${PYTHONPATH}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH=${PYTHONPATH}

export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec/cspp_fetch-0.3.1-py3.9.egg
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec/cspp_some_utils-0.1-py3.9.egg
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec/cspp_ql-0.0.1-py3.9.egg
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec/viirsmend-1.0.2-py3.9.egg
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/libexec
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/scripts/cris
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/scripts/atms
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/scripts/viirs
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/scripts/omps
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}/scripts
export PYTHONPATH=${PYTHONPATH}:${CSPP_SDR_HOME}


#environment cleanups
unset LD_PRELOAD

test -x "$PY" || oops "Python interpreter not available; please source cspp_env.sh"

# Linux execution configuration
export OSTYPE=`uname`

# make the stack size unlimited
ulimit -s unlimited

# Make the core file size unlimited, so that if the algorithm does have a
# segmentation fault, it'll write a core file that can be investigated.
#ulimit -c unlimited

# Make the data size unlimited
ulimit -d unlimited

# insurance
#export LD_LIBRARY_PATH=${CSPP_SDR_HOME}/libexec:${CSPP_SDR_HOME}/libexec/ADL/lib:${CSPP_SDR_HOME}/libexec/local/lib64:${CSPP_SDR_HOME}/libexec/local/lib
#export LD_RUN_PATH=${CSPP_SDR_HOME}/libexec:${CSPP_SDR_HOME}/libexec/ADL/lib:${CSPP_SDR_HOME}/libexec/local/lib64:${CSPP_SDR_HOME}/libexec/local/lib

export PATH=${CSPP_SDR_HOME}/libexec/ShellB3/bin:$PATH
export PATH=${CSPP_SDR_HOME}/libexec/ShellB3/lib:$PATH
export PATH=${CSPP_SDR_HOME}/libexec/:$PATH
export PATH=${CSPP_SDR_HOME}/libexec/bin:$PATH
